Skip to content

Use the following endpoint to retrieve the status of an intake API call:

GET/api/{version}/app/safety/intake/status

The Retrieve Intake Status endpoint can be used with the following Safety intake endpoints:

  • Intake Inbox Item
  • Intake Imported Case
NameDescription
Acceptapplication/json
NameDescription
inbound_idThe Inbound Transmission ID for the ICSR intake job.
curl --location --request GET 'https://myvault.veevavault.com/api/v22.1/app/safety/intake/status?inbound_id=V29000000005001' \ --header 'Authorization: {SESSION_ID}' \ --header 'Content-Type: multipart/form-data' \ --form 'file=@"/directory/e2b_r3_restolar.xml"' \ --form 'format="e2br3__v"'
{ "status": "complete", "ack-retrieval": "/api/v22.1/app/safety/intake/ack?inbound_id=V29000000005001", "inbound-transmission": "V29000000005001", "inbound-document": "7_0_1", "number-of-icsrs": 1, "number-success/warning": 1, "number-failures": 0, "icsr-details": [ { "icsr": "V2B000000005001", "inbound-transmission": "V29000000005001", "inbound-document": "7_0_1", "ack-retrieval": "/api/v22.1/app/safety/intake/ack?inbound_id=V29000000005001", "status": "Success" } ] }

On SUCCESS, the response includes the following information:

NameDescription
statusProcessing status for the intake job.
ack-retrievalURL to retrieve the ACK. This parameter only applies to E2B intake file types.
inbound-transmissionID or link to the Inbound Transmission for the entire intake job.
inbound-documentID or link to the Vault document created from E2B file for the entire intake job.
number-casesTotal number of cases found in the intake file, including both successes and failures.
number-successesNumber of cases that were imported successfully, including those with warnings.
number-failuresNumber of cases that failed to import.
icsr-detailsAn array containing details for each individual case within the file. This will be populated with a single entry for single E2B files.
icsr-details.caseID of the Imported Case record. Present only for Imported Case intake jobs.
icsr-details.inbox-itemID of the Inbox Item record. Present only for Inbox Item intake jobs.
icsr-details.inbound-transmissionID of the Inbound Transmission for this case.
icsr-details.inbound-documentID of the Vault document for the case. For multi-case E2B files, the E2B for individual cases is split out into separate documents.
icsr-details.ack-retrievalURL for the ACK for the case. This parameter only applies to E2B intake file types.
icsr-details.statusStatus of the Imported Case or Inbox Item.

On FAILURE, the response returns a message describing the reason for the failure.